Bug 850144 - Introduce new systemd-rpm macros in haveged spec file
Introduce new systemd-rpm macros in haveged spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: haveged (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Hladky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:40 EDT by Lukáš Nykrýn
Modified: 2013-02-01 23:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 23:33:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:40:52 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-10-13 10:19:36 EDT
haveged-1.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/haveged-1.5-2.fc18
Comment 2 Jiri Hladky 2012-10-13 10:20:44 EDT
I have updated the spec file and commited the change into the 
f18
master
branch.


$fedpkg update
Creating a new update for  haveged-1.5-2.fc18 
Password for jhladky: 
Creating a new update for  haveged-1.5-2.fc18 
Update successfully created
================================================================================
     haveged-1.5-2.fc18
================================================================================
    Release: Fedora 18
     Status: pending
       Type: bugfix
      Karma: 0
    Request: testing
       Bugs: 850144 - Introduce new systemd-rpm macros in haveged spec file
      Notes: Introduce new systemd-rpm macros in haveged spec file
  Submitter: jhladky
  Submitted: 2012-10-13 14:19:19
   Comments: bodhi - 2012-10-13 14:19:37 (karma 0)
             This update has been submitted for testing by jhladky.

  https://admin.fedoraproject.org/updates/haveged-1.5-2.fc18
Comment 3 Fedora Update System 2013-01-19 18:52:01 EST
haveged-1.7-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/haveged-1.7-0.fc18
Comment 4 Fedora Update System 2013-02-01 23:33:56 EST
haveged-1.7-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.